/* This file is part of Zaaksysteem, which is released under the EUPL.
 See file LICENSE for full license details.
*/
html {
  overflow-y: hidden;
}

body {
  margin: 0;
  padding: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

html,
body,
#zs-app {
  height: 100%;
}

/* iFrame Overlay overrides
 * ZS-FIXME: implement this in a robust, generic way
 * (since this is a legacy hack, it preferably shouldn't
 * be supported in the UI Layout component, though)
 */

/* AppBar */
.iframe-overlay > div > div > header,
/* Drawer */
.iframe-overlay > div > div > header + div > div,
/* Content */
.iframe-overlay > div > div > header + div + div {
  background-color: #777 !important;
  border-color: #717171 !important;
}

/* Placeholder */
.iframe-overlay > div > div > header + div + div > main > div {
  background: none;
}

/* You can't override `box-shadow` color selectively. */
.iframe-overlay * {
  box-shadow: none !important;
}

/* Override `primary` theme style */
.iframe-overlay a,
.iframe-overlay button {
  color: #000 !important;
}

